import { ColumnValueProcessor, SortType, TableColumnType, TableRowType } from './types';
/**
 * @internal
 *
 * This is the sort function used in the uncontrolled table mode.
 */
export declare function sortData<TTableRowType extends TableRowType>(data: TTableRowType[], sortedProp: SortType, columnValueProcessor?: ColumnValueProcessor<TTableRowType>): TTableRowType[];
/**
 * @internal
 *
 * This is the filter function used in the uncontrolled table mode.
 */
export declare function filterData<TTableRowType extends TableRowType>(data: TTableRowType[], headers: Record<string, TableColumnType<TTableRowType>>, filterText: string): TTableRowType[];
/**
 * @internal
 *
 * This is the paginate function used in the uncontrolled table mode.
 */
export declare function paginateData<TTableRowType extends TableRowType>(data: TTableRowType[], currentPage: number, rowsPerPage?: number): TTableRowType[];
/**
 * @internal
 *
 * This is a helper function to get the next sort state.
 */
export declare function getNextSortState(oldSort: SortType, sortedProp: string): SortType;
