import { TableRowType } from './types';
/**
 * @internal
 *
 * This is a function to create a `className` string prop given
 * a list of arguments. Inspired by the `classnames` library.
 */
export declare function makeClasses(...args: (string | Record<string, boolean> | undefined)[]): string;
/**
 * @internal
 *
 * This function converts an array to record, just for utility purposes.
 */
export declare function convertArrayToRecord<ElementType extends TableRowType>(array: ElementType[], propId: keyof ElementType): Record<string, ElementType>;
